--- title: "getCloudHadoopTargetVpcList" slug: "analytics-vhadoop-getcloudhadooptargetvpclist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadooptargetvpclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopTargetVpcList Available in VPC Get the list of VPCs being used in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopTargetVpcList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the VPC to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the query result (default) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopTargetVpcList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopTargetVpcListResponse` | Object | - | Response result - See [TargetVpcList](/docs/en/common-vapidatatype-targetvpclist). | | `getCloudHadoopTargetVpcListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopTargetVpcListResponse.returnCode` | String | - | Response code | | `getCloudHadoopTargetVpcListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopTargetVpcListResponse": { "totalRows": 1, "targetVpcList": [ { "vpcNo": "9****", "vpcName": "vpc4hadoop", "ipv4Cidr": "**.**.**.**/**", "regionCode": "KR", "createdDate": "2025-02-18T11:22:39+0900" } ], "requestId": "8740f6f8-****-****-****-c083e05de339", "returnCode": "0", "returnMessage": "success" } } ```